Get Results
curl --request GET \
--url https://api.lobstr.io/v1/results \
--header 'Authorization: <authorization>'import requests
url = "https://api.lobstr.io/v1/results"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lobstr.io/v1/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile_url": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"profile_id": {},
"fbid": {},
"is_private": true,
"is_verified": true,
"has_anonymous_profile_picture": true,
"latest_reel_media": {},
"third_party_downloads_enabled": true,
"functions": "<any>"
}Instagram Followers Scraper
Get Results
Retrieve scraped data from Instagram Followers Scraper
GET
/
v1
/
results
Get Results
Retrieve scraped data from your Instagram Followers Scraper runs.
Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEY.Query Parameters
string
required
Hash of the squid to get results from.
integer
Page number (default: 1).
Result Fields
string
Direct URL to the follower’s Instagram profile. Example:
https://www.instagram.com/kholiq__off/string
Instagram username of the follower. Example:
kholiq__offstring
Display name of the follower. Example:
Abduxoliqjonstring
URL of the follower’s Instagram profile picture. Example:
https://instagram.ftas5-1.fna.fbcdn.net/v/t51.82787-19/658962059_18050684966719677_5091061884162648088_n.jpgbigint
Unique internal Instagram identifier (pk) for the follower account. Example:
51385255676bigint
Internal Facebook/Meta identifier linked to the follower account. Example:
17841451590283156boolean
Whether the follower’s account is set to private. Example:
Falseboolean
Whether the follower’s account has a verified badge on Instagram. Example:
Falseboolean
Whether the follower is using the default (anonymous) Instagram profile picture. Example:
Falsebigint
Unix timestamp of the follower’s most recent story/reel media (0 if none). Example:
1776351955boolean
Whether the follower has third-party downloads enabled on their account. Example:
Truejson
Additional enrichment functions enabled for this record. Example:
{}Code Examples
curl -G https://api.lobstr.io/v1/results \
-H "Authorization: Token YOUR_API_KEY" \
-d "squid=YOUR_SQUID_HASH" \
-d "page=1"
import requests
response = requests.get(
"https://api.lobstr.io/v1/results",
headers={"Authorization": "Token YOUR_API_KEY"},
params={"squid": "YOUR_SQUID_HASH", "page": 1},
)
print(response.json())
Response
200
{"total_results": 1, "data": [{"profile_url": "https://www.instagram.com/kholiq__off/", "username": "kholiq__off", "full_name": "Abduxoliqjon", "profile_pic_url": "https://instagram.ftas5-1.fna.fbcdn.net/v/t51.82787-19/658962059_18050684966719677_5091061884162648088_n.jpg", "profile_id": 51385255676, "fbid": 17841451590283156, "is_private": false, "is_verified": false, "has_anonymous_profile_picture": false, "latest_reel_media": 1776351955}]}